require 'kramdown'

class Post < ActiveRecord::Base
  validates_presence_of :body_source, :ip
  
  def body_source=(source)
    write_attribute("body_source", source)
    self.body_formatted = Kramdown::Document.new(source).to_html
  end
  
  def self.find_by_short_code(code)
    self.find(code.downcase.to_i(36))
  end
  
  def short_code
    self.id.to_s(36).downcase
  end
  
  def to_param
    id.to_s(36)
  end
end
